<?php

/**
 * Temp MailTheme.
 *
 * Please do not make any edits to this file. All edits should be done in a child theme.
 *
 * @package Temp Mail
 */

if ( !defined( 'ABSPATH' ) ) {
    exit;
    // Exit if accessed directly.
}

// Set our theme version.
define( 'WP_TEMP_MAIL_VERSION', '1.0.4' );
define( 'WP_TEMP_MAIL_VENDOR_VERSION', '1.0.4' );
// Used to check whether Temp Mail plugin is activated
define( 'WP_TEMP_MAIL_PLUGIN_ACTIVE', defined( 'TEMP_MAIL_VERSION' ) );
// Used to check whether WooCommerce plugin is activated
define( 'WP_TEMP_MAIL_WOOCOMMERCE_ACTIVE', class_exists( 'WooCommerce' ) );
// Used to check whether Elementor plugin is activated
define( 'WP_TEMP_MAIL_ELEMENTOR_ACTIVE', defined( 'ELEMENTOR_VERSION' ) );

if ( !function_exists( 'wp_tm_fs' ) ) {
    // Create a helper function for easy SDK access.
    function wp_tm_fs()
    {
        global  $wp_tm_fs ;
        
        if ( !isset( $wp_tm_fs ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/freemius/start.php';
            $wp_tm_fs = fs_dynamic_init( array(
                'id'             => '10059',
                'slug'           => 'temp-mail-x',
                'type'           => 'theme',
                'public_key'     => 'pk_829499cf24bc434f306f64af8f6b1',
                'is_premium'     => false,
                'premium_suffix' => 'Professional',
                'has_addons'     => false,
                'has_paid_plans' => true,
                'menu'           => array(
                'slug'   => 'wp-tm-theme',
                'parent' => array(
                'slug' => 'themes.php',
            ),
            ),
                'is_live'        => true,
            ) );
        }
        
        return $wp_tm_fs;
    }
    
    // Init Freemius.
    wp_tm_fs();
    // Signal that SDK was initiated.
    do_action( 'wp_tm_fs_loaded' );
}

// Helpers
require get_template_directory() . '/inc/universal/helpers.php';
// Options
require get_parent_theme_file_path( 'inc/universal/options.php' );
// Extras
require get_template_directory() . '/inc/extras.php';
// Dynamic css
require get_template_directory() . '/inc/dynamic-css.php';
// Register metabox
require get_template_directory() . '/inc/metabox.php';
// Theme Setup
require get_template_directory() . '/inc/theme-setup.php';
// Temp Mail Setup
if ( WP_TEMP_MAIL_PLUGIN_ACTIVE ) {
    require get_template_directory() . '/inc/temp-mail-setup.php';
}
// WooCommerce setup
if ( WP_TEMP_MAIL_WOOCOMMERCE_ACTIVE ) {
    require get_template_directory() . '/inc/woocommerce-setup.php';
}
// Theme customizer
require get_template_directory() . '/inc/customizer/setup.php';
// Theme Hooks
require get_template_directory() . '/inc/theme-hooks.php';
// Theme Filters
require get_template_directory() . '/inc/theme-filters.php';
// Tags
require get_template_directory() . '/inc/template-tags.php';
// Template functions
require get_template_directory() . '/inc/template-functions.php';
// Shapes
require get_template_directory() . '/inc/shapes.php';
// Theme Plugins
require get_template_directory() . '/inc/theme-plugins.php';
// Admin Page
require get_template_directory() . '/inc/admin-page.php';