<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all the <head> section
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Temp Mail
 */

// document open
get_template_part( 'template-parts/document', 'open' );

if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'header' ) ) {

	/**
	 * Hook - wp_tm_action_before.
	 */
	do_action( 'wp_tm_action_before' );

	/**
	 * Hook - wp_tm_action_before_header.
	 *
	 * @hooked wp_tm_add_header_open       - 10
	 */
	do_action( 'wp_tm_action_before_header' );

	/**
	 * Hook - wp_tm_action_header.
	 *
	 * @hooked wp_tm_add_primary_navbar        - 30
	 */
	do_action( 'wp_tm_action_header' );

	/**
	 * Hook - wp_tm_action_after_header.
	 *
	 * @hooked wp_tm_add_header_close      - 10
	 */
	do_action( 'wp_tm_action_after_header' );

	/**
	 * Hook - wp_tm_action_before_content.
	 */
	do_action( 'wp_tm_action_before_content' );

	/**
	 * Hook - wp_tm_action_content.
	 */
	do_action( 'wp_tm_action_content' );
}