<?php
/**
 * Customizer Control: wp-tm-gradient
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( class_exists( 'TempMail_Customize_Control' ) && ! class_exists( 'TempMail_Gradient_Customize_Control' ) ) {
	/**
	 * Gradient Control.
	 */
	class TempMail_Gradient_Customize_Control extends TempMail_Customize_Control {
		/**
		 * Set the control type.
		 *
		 * @var string $type
		 */
		public $type = 'wp-tm-gradient';

		/**
		 * An Underscore (JS) template for this control's content (but not its container).
		 *
		 * Class variables for this control class are available in the `data` JS object;
		 * export custom variables by overriding {@see WP_Customize_Control::to_json()}.
		 *
		 * @return void
		 * @see WP_Customize_Control::print_template()
		 * @since 1.0.0
		 */
		public function content_template() {
			$this->label_template();
			?>
            <div class="wp-tm-gradient-editor">
                <div class="wp-tm-gradient-preview"></div>
                <div class="wp-tm-gradient-setting">
                    <label>
                        <p><?php esc_html_e( 'Start Color', 'temp-mail-x' ); ?></p>
                    </label>
                    <input {{{ data.start_link }}} data-default-color="{{{ data.start_default }}}" type="text"
                           class="start-editor" value="{{{ data.start }}}"/>
                </div>
                <div class="wp-tm-gradient-setting">
                    <label>
                        <p><?php esc_html_e( 'End Color', 'temp-mail-x' ); ?></p>
                    </label>
                    <input {{{ data.end_link }}} data-default-color="{{{ data.end_default }}}" type="text"
                           class="end-editor"
                           value="{{{ data.end }}}"/>
                </div>

                <div class="wp-tm-gradient-setting">
                    <label>
                        <p><?php esc_html_e( 'Rotation', 'temp-mail-x' ); ?></p>
                        <input {{{ data.rotation_link }}} style="width: 80px;" type="number" min="0" max="360"
                               value="{{{ data.rotation }}}">
                    </label>
                </div>
            </div>
			<?php
		}
	}
}
