<?php
/**
 * Customizer Control: wp-tm-heading
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( class_exists( 'TempMail_Customize_Control' ) && ! class_exists( 'TempMail_Heading_Customize_Control' ) ) {
	/**
	 * Heading control
	 */
	class TempMail_Heading_Customize_Control extends TempMail_Customize_Control {
		/**
		 * Set the control type.
		 *
		 * @var string $type
		 */
		public $type = 'wp-tm-heading';

		/**
		 * @var string
		 */
		public $title = '';

		/**
		 * @var array
		 */
		public $items = array();

		/**
		 * @var string
		 */
		public $default_state = 'open';

		/**
		 * Refresh the parameters passed to the JavaScript via JSON.
		 *
		 * @see WP_Customize_Control::to_json()
		 */
		public function to_json() {
			parent::to_json();

			$this->json['title']         = $this->title;
			$this->json['items']         = $this->items;
			$this->json['default_state'] = $this->default_state;
		}

		/**
		 * An Underscore (JS) template for this control's content (but not its container).
		 *
		 * Class variables for this control class are available in the `data` JS object;
		 * export custom variables by overriding {@see WP_Customize_Control::to_json()}.
		 *
		 * @see WP_Customize_Control::print_template()
		 *
		 * @access protected
		 */
		protected function content_template() {
			?>
            <div class="wp-tm-heading">
                <span class="wp-tm-heading-title">{{{data.title}}}</span>
                <# if (data.items.length > 0) { #>
                <button type="button" class="dashicons wp-tm-heading-toggle">
                    <span class="dashicons-arrow-down"></span>
                </button>
                <# } #>
            </div>
			<?php
		}
	}
}
