<?php

function get_wp_tm_options()
{
    $options = array(
        'wp_tm_posts_layout'                    => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'archive-left',
    ),
        'wp_tm_archive_list_layout_image_width' => array(
        'sanitize_callback' => wp_tm_number_range_sanitizer( 0, 75 ),
        'default'           => 0,
    ),
        'wp_tm_show_archive_feature_image'      => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_tm_excerpt_length'                  => array(
        'sanitize_callback' => 'wp_tm_sanitize_number_range',
        'default'           => 40,
    ),
        'wp_tm_read_more_text'                  => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Read More', 'temp-mail-x' ),
    ),
        'wp_tm_button_style'                    => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'primary',
    ),
        'wp_tm_pagination_style'                => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'primary',
    ),
        'wp_tm_pagination_type'                 => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'numeric',
    ),
        'wp_tm_is_outline_pagination'           => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => false,
    ),
        'wp_tm_single_post_structure'           => array(
        'sanitize_callback' => 'wp_tm_sanitize_multi_select',
        'default'           => array( 'title-metas', 'featured-image', 'content' ),
    ),
        'wp_tm_single_post_metas'               => array(
        'sanitize_callback' => 'wp_tm_sanitize_multi_select',
        'default'           => array(
        'byline',
        'posted_on',
        'comments',
        'views'
    ),
    ),
        'wp_tm_posts_sidebar_layout'            => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'right-sidebar',
    ),
        'wp_tm_posts_container_style'           => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'shadow-boxes',
    ),
        'wp_tm_store_sidebar_layout'            => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'right-sidebar',
    ),
        'wp_tm_page_sidebar_layout'             => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'no-sidebar',
    ),
        'wp_tm_page_container_style'            => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'shadow-boxes',
    ),
        'wp_tm_blog_sidebar_layout'             => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'no-sidebar',
    ),
        'wp_tm_blog_container_style'            => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'shadow-boxes',
    ),
        'wp_tm_sidebar_container_style'         => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'shadow-boxes',
    ),
        'wp_tm_show_frontpage_hero'             => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_tm_show_frontpage_inbox'            => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_tm_frontpage_header_style'          => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'transparent',
    ),
        'wp_tm_frontpage_menu_style'            => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'links',
    ),
        'wp_tm_transparent_header_logo'         => array(
        'sanitize_callback' => 'absint',
        'default'           => '',
    ),
        'wp_tm_transparent_reverse_header_logo' => array(
        'sanitize_callback' => 'absint',
        'default'           => '',
    ),
        'wp_tm_text_logo'                       => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => '',
    ),
        'wp_tm_hero_background_type'            => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'solid-color',
    ),
        'wp_tm_hero_background_color'           => array(
        'sanitize_callback' => 'sanitize_hex_color',
        'default'           => '#1e293b',
    ),
        'wp_tm_hero_show_mailbox_controls'      => array(
        'default'           => true,
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
    ),
        'wp_tm_hero_content_color'              => array(
        'default'           => '#fff',
        'sanitize_callback' => 'sanitize_hex_color',
    ),
        'wp_tm_hero_shape_divider'              => array(
        'default'           => 'none',
        'sanitize_callback' => 'wp_tm_sanitize_select',
    ),
        'wp_tm_hero_shape_color'                => array(
        'default'           => '',
        'sanitize_callback' => 'sanitize_hex_color',
    ),
        'wp_tm_hero_shape_width'                => array(
        'default'           => 100,
        'sanitize_callback' => wp_tm_number_range_sanitizer( 100, 500, 1 ),
    ),
        'wp_tm_hero_shape_height'               => array(
        'default'           => 100,
        'sanitize_callback' => wp_tm_number_range_sanitizer( 0, 200, 1 ),
    ),
        'wp_tm_hero_shape_flip'                 => array(
        'default'           => false,
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
    ),
        'wp_tm_hero_shape_invert'               => array(
        'default'           => false,
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
    ),
        'wp_tm_hero_content_type'               => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'simple',
    ),
        'wp_tm_hero_content_alignment'          => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'center',
    ),
        'wp_tm_hero_title'                      => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Change in the ', 'temp-mail-x' ),
    ),
        'wp_tm_hero_title_highlight'            => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Customizer', 'temp-mail-x' ),
    ),
        'wp_tm_hero_subtitle'                   => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Change in the Customizer', 'temp-mail-x' ),
    ),
        'wp_tm_hero_button_primary_text'        => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Change in the Customizer', 'temp-mail-x' ),
    ),
        'wp_tm_hero_button_primary_url'         => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( '#', 'temp-mail-x' ),
    ),
        'wp_tm_hero_button_secondary_text'      => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Change in the Customizer', 'temp-mail-x' ),
    ),
        'wp_tm_hero_button_secondary_url'       => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( '#', 'temp-mail-x' ),
    ),
        'wp_tm_hero_button_style'               => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'primary',
    ),
        'wp_tm_header_style'                    => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'ghost',
    ),
        'wp_tm_menu_style'                      => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'links',
    ),
        'wp_tm_header_brand'                    => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_tm_sticky_header'                   => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => false,
    ),
        'wp_tm_show_header_title'               => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_tm_show_header_tagline'             => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_tm_show_header_search'              => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_tm_copyright_text'                  => array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => esc_html__( 'Copyright &copy; All rights reserved.', 'temp-mail-x' ),
    ),
        'wp_tm_footer_style'                    => array(
        'sanitize_callback' => 'wp_tm_sanitize_select',
        'default'           => 'base',
    ),
        'wp_tm_show_to_top'                     => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => true,
    ),
        'wp_tm_disable_preloader'               => array(
        'sanitize_callback' => 'wp_tm_sanitize_checkbox',
        'default'           => false,
    ),
    );
    return $options;
}

function get_wp_tm_option_args( $id )
{
    $args = get_wp_tm_options()[$id];
    $args['id'] = $id;
    return $args;
}

function get_wp_tm_option( $id )
{
    $default = get_wp_tm_options()[$id]['default'];
    $value = wp_tm_get_theme_mod( $id, $default );
    return apply_filters( $id, $value );
}
