<?php

if ( !function_exists( 'wp_tm_register_typography_options' ) ) {
    /**
     * Add typography section and controls.
     *
     * @param \WP_Customize_Manager $wp_customize
     */
    function wp_tm_register_typography_options( $wp_customize, $section_id, $priority = 100 )
    {
        $wp_customize->add_section( $section_id, array(
            'title'    => esc_html__( 'Typography', 'temp-mail-x' ),
            'panel'    => 'wp_tm_appearance_panel',
            'priority' => $priority,
        ) );
        if ( wp_tm_fs()->is_not_paying() ) {
            wp_tm_register_options( $wp_customize, array(
                'name'           => 'wp_tm_typography_upsell_tips',
                'section'        => $section_id,
                'settings'       => array(),
                'custom_control' => TempMail_Info_Customize_Control::class,
                'control_args'   => array(
                'messages' => array(
                esc_html__( 'In our Pro version, you can set different fonts for body text, headings or navbar menu.', 'temp-mail-x' ),
                esc_html__( 'we offer 1000+ Google fonts for you to choose from.', 'temp-mail-x' ),
                sprintf( '<a href="%1$s" target="_blank">%2$s</a>', wp_tm_upsell_url(), __( 'Meet Temp Mail Theme Pro', 'temp-mail-x' ) ),
                sprintf( '<a href="%1$s" target="_blank">%2$s</a>', 'https://vimeo.com/692558073', __( 'View Video Demo', 'temp-mail-x' ) )
            ),
            ),
            ) );
        }
    }

}