<?php

if ( ! function_exists( 'wp_tm_register_preloader_options' ) ) {
	/**
	 * Add preloader options and controls.
	 *
	 * @param \WP_Customize_Manager $wp_customize
	 * @param string $section_id
	 * @param int $priority
	 */
	function wp_tm_register_preloader_options( $wp_customize, $section_id, $priority = 100 ) {

		$wp_customize->add_section( $section_id, array(
			'title'    => esc_html__( 'Preloader Settings', 'temp-mail-x' ),
			'panel'    => '',
			'priority' => $priority,
		) );

		wp_tm_register_options( $wp_customize, array(
			'name'           => 'wp_tm_disable_preloader',
			'label'          => esc_html__( 'Disable Preloader', 'temp-mail-x' ),
			'section'        => $section_id,
			'custom_control' => TempMail_Switch_Customize_Control::class,
		) );
	}
}
