<?php

if ( !function_exists( 'wp_tm_dynamic_vars' ) ) {
    function wp_tm_dynamic_vars()
    {
        $vars = array();
        return wp_tm_parse_css( array(
            ':root' => $vars,
        ) );
    }

}
/**
 * Create dynamic css for our theme.
 *
 * @return string
 */
function wp_tm_dynamic_css()
{
    $css = array();
    
    if ( wp_tm_is_hero_visible() ) {
        /**
         * Hero shape divider
         */
        $shape = get_wp_tm_option( 'wp_tm_hero_shape_divider' );
        $shape_data = wp_tm_get_shapes( $shape );
        
        if ( $shape_data ) {
            $color = get_wp_tm_option( 'wp_tm_hero_shape_color' );
            $width = get_wp_tm_option( 'wp_tm_hero_shape_width' );
            $height = get_wp_tm_option( 'wp_tm_hero_shape_height' );
            $flip = get_wp_tm_option( 'wp_tm_hero_shape_flip' ) && in_array( 'wp_tm_hero_shape_flip', $shape_data['options'] );
            $css['.wp-tm-hero-shape-divider svg'] = array(
                'width'     => 'calc(' . $width . '% + 1.3px)',
                'height'    => $height . 'px',
                'transform' => ( $flip ? 'translateX(-50%) rotateY(180deg)' : 'translateX(-50%)' ),
            );
            if ( $color !== '' ) {
                $css['.wp-tm-hero-shape-divider .wp-tm-shape-fill'] = array(
                    'fill' => $color,
                );
            }
        }
    
    }
    
    return wp_tm_parse_css( $css );
}

if ( !function_exists( 'wp_tm_add_global_vars' ) ) {
    /**
     * Global css vars
     */
    function wp_tm_add_global_vars()
    {
        wp_register_style( 'wp-tm-dynamic-vars', false );
        wp_enqueue_style( 'wp-tm-dynamic-vars' );
        wp_add_inline_style( 'wp-tm-dynamic-vars', wp_tm_dynamic_vars() );
    }

}
add_action( 'wp_enqueue_scripts', 'wp_tm_add_global_vars', 60 );
add_action( 'admin_enqueue_scripts', 'wp_tm_add_global_vars' );
if ( !function_exists( 'wp_tm_add_dynamic_css' ) ) {
    /**
     * Add dynamic css.
     */
    function wp_tm_add_dynamic_css()
    {
        wp_register_style( 'wp-tm-dynamic', false );
        wp_enqueue_style( 'wp-tm-dynamic' );
        wp_add_inline_style( 'wp-tm-dynamic', wp_tm_dynamic_css() );
    }

}
add_action( 'wp_enqueue_scripts', 'wp_tm_add_dynamic_css', 60 );