<?php
/**
 * Template for admin notice.
 */

global $current_user;
$user_id = $current_user->ID;

if ( get_user_meta( $user_id, 'wp_tm_dismissed_welcome' ) ) {
	return;
}
$dismiss_url = add_query_arg( array( 'wp_tm_dismiss' => 'welcome', ), admin_url() );
?>

<div data-dismiss-url="<?php echo esc_url( $dismiss_url ) ?>"
     class="wp-tm-theme-notice notice notice-success is-dismissible">

    <div class="wp-tm-theme-notice-logo">
        <svg data-name="wp-tm-logo"
             class="wp-tm-theme-logo"
             viewBox="0 0 18 15.6"
             version="1.1"
             width="32px"
             height="32px"
             xmlns="http://www.w3.org/2000/svg"
        >
            <path class="wp-tm-logo-path" d="M7.27,12.69.94,17.24a.84.84,0,0,1-.07-.35V8.26A1,1,0,0,1,.9,8Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="wp-tm-logo-path"
                  d="M18.87,8.26v8.63a.84.84,0,0,1-.07.35L12.48,12.7l6.37-4.62a1.1,1.1,0,0,1,0,.18Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="wp-tm-logo-path"
                  d="M10.4,11.94l8,5.75a1,1,0,0,1-.42.1H1.77a.87.87,0,0,1-.42-.1l8-5.75a.89.89,0,0,1,1.05,0Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="wp-tm-logo-path"
                  d="M8.09,5.79,8.3,10a.3.3,0,0,0,.3.28h2.54a.3.3,0,0,0,.3-.28l.22-4.22Zm1.18,3.6a.29.29,0,0,1-.3.3.3.3,0,0,1-.3-.3V6.69a.31.31,0,0,1,.3-.3.3.3,0,0,1,.3.3Zm.9,0a.29.29,0,0,1-.3.3.3.3,0,0,1-.3-.3V6.69a.31.31,0,0,1,.3-.3.3.3,0,0,1,.3.3Zm.3-2.7a.31.31,0,0,1,.3-.3.3.3,0,0,1,.3.3v2.7a.29.29,0,0,1-.3.3.3.3,0,0,1-.3-.3"
                  transform="translate(-0.87 -2.19)"/>
            <path class="wp-tm-logo-path"
                  d="M7.17,5a.15.15,0,0,1,.15-.15h5.1a.15.15,0,0,1,.15.15.15.15,0,0,1-.15.15H7.32A.15.15,0,0,1,7.17,5Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="wp-tm-logo-path"
                  d="M7.78,12.33,9,11.45a1.52,1.52,0,0,1,1.75,0l1.21.88,4.21-3.05V3.09a.9.9,0,0,0-.9-.9H4.47a.9.9,0,0,0-.9.9V9.22Zm-.46-8h1a.9.9,0,0,1,.9-.9h1.2a.91.91,0,0,1,.9.9h1.05a.75.75,0,0,1,0,1.5h-.16L12,10a.9.9,0,0,1-.9.85H8.6A.9.9,0,0,1,7.7,10L7.49,5.79H7.32a.75.75,0,0,1,0-1.5Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="wp-tm-logo-path" d="M10.77,4.29H9a.31.31,0,0,1,.3-.3h1.2a.31.31,0,0,1,.3.3Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="wp-tm-logo-path" d="M18.54,7.56,16.77,8.84V6.62C16.82,6.66,18.59,7.54,18.54,7.56Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="wp-tm-logo-path" d="M3,8.79,1.24,7.53S2.94,6.64,3,6.62Z" transform="translate(-0.87 -2.19)"/>
        </svg>
    </div>
    <div class="wp-tm-theme-welcome-message">
        <h1><?php esc_html_e( 'Welcome to Temp Mail Theme', 'temp-mail-x' ); ?></h1>
        <p>
			<?php esc_html_e( "First time using our Temp Mail theme?", 'temp-mail-x' ); ?>
            <br/>
			<?php esc_html_e( "We've provided some useful information to help you setup with this theme.", 'temp-mail-x' ) ?>
        </p>

        <div class="action-buttons">
            <a href="<?php echo esc_url( admin_url( 'themes.php?page=wp-tm-theme' ) ); ?>"
               class="wp-tm-btn">
				<?php esc_html_e( 'Get Started', 'temp-mail-x' ); ?>
            </a>

            <a href="#" class="wp-tm-btn wp-tm-btn-outline wp-tm-notice-dismiss">
				<?php esc_html_e( 'No, Thanks', 'temp-mail-x' ); ?>
            </a>
        </div>
    </div>
</div>
