<?php
/**
 * Template part for displaying single post.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php foreach ( get_wp_tm_option( 'wp_tm_single_post_structure' ) as $item ): ?>
		<?php if ( $item === 'title-metas' ): ?>
            <header class="not-prose post-header mb-gutter text-center">
                <div class="mb-half-gutter max-w-prose mx-auto">
					<?php the_title( '<h1 class="mt-10 mb-6 text-3xl font-bold">', '</h1>' ); ?>

                    <div class="text-xs entry-meta mb-2">
						<?php wp_tm_post_meta( get_wp_tm_option( 'wp_tm_single_post_metas' ) ); ?>

                        <span class="link text-xs">
				    <?php edit_post_link( esc_html__( 'Edit', 'temp-mail-x' ) ); ?>
                </span>
                    </div>
                </div>
            </header>
		<?php elseif ( $item === 'category' ): ?>
			<?php wp_tm_post_categories( '<div class="mb-2 text-center">', '</div>', 'mr-2 badge badge-pill badge-ghost' ); ?>
		<?php elseif ( $item === 'featured-image' ): ?>
			<?php
			if ( has_post_thumbnail() ) {
				echo '<div class="entry-featured-image prose prose-tm mx-auto"><div class="alignwide">';
				the_post_thumbnail( 'post-thumbnail', array( 'class' => 'w-full' ) );
				echo '</div></div>';
			}
			?>
		<?php elseif ( $item === 'content' ): ?>
            <div class="entry-content mb-6 prose prose-tm mx-auto">
				<?php

				the_content();

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'temp-mail-x' ),
					'after'  => '</div>',
				) );
				?>
            </div>
		<?php endif; ?>
	<?php endforeach; ?>
</article>
