<?php
/**
 * Template part for mailbox in hero content
 */
?>

<div class="wp-tm-hero-content container mx-auto px-half-gutter pt-20 pb-36 text-center">
    <div class="md:max-w-screen-md mx-auto">
        <h1 class="text-5xl mb-8 font-bold">
			<?php echo esc_html( get_wp_tm_option( 'wp_tm_hero_title' ) ); ?>
            <span class="wp-tm-hero-title-highlight text-primary">
            <?php echo esc_html__( get_wp_tm_option( 'wp_tm_hero_title_highlight' ) ); ?>
        </span>
        </h1>

		<?php if ( get_wp_tm_option( 'wp_tm_hero_subtitle' ) ): ?>
            <p class="text-lg font-light opacity-75 mb-gutter">
				<?php echo esc_html( get_wp_tm_option( 'wp_tm_hero_subtitle' ) ); ?>
            </p>
		<?php endif; ?>

        <div class="max-w-screen-md mx-auto">
			<?php
			if ( WP_TEMP_MAIL_PLUGIN_ACTIVE ) {
				echo do_shortcode( '[tm-mailbox]' );
				if ( get_wp_tm_option( 'wp_tm_hero_show_mailbox_controls' ) ) {
					echo do_shortcode( '[tm-controls]' );
				}
			} else if ( current_user_can( 'administrator' ) ) {
				?>
                <a class="btn btn-primary"
                   href="<?php echo esc_url( add_query_arg( array( 'action' => 'wp_tm_install_temp_mail' ), admin_url( 'admin.php' ) ) ) ?>">
					<?php esc_html_e( 'Install Temp Mail Plugin', 'temp-mail-x' ); ?>
                </a>
				<?php
			}
			?>
        </div>
    </div>
</div>

