<?php

$btn_style = array(
	'btn mx-half-gutter mb-half-gutter',
	get_wp_tm_hero_button_style(),
);

$btn_primary_text   = get_wp_tm_option( 'wp_tm_hero_button_primary_text' );
$btn_secondary_text = get_wp_tm_option( 'wp_tm_hero_button_secondary_text' );

$content_align = wp_tm_get_text_align_css( get_wp_tm_option( 'wp_tm_hero_content_alignment' ) );
?>
<div class="wp-tm-hero-content container mx-auto px-half-gutter pt-36 pb-48 <?php echo esc_attr( $content_align ); ?>">
    <h1 class="text-5xl mb-6 font-bold">
		<?php echo esc_html( get_wp_tm_option( 'wp_tm_hero_title' ) ); ?>
        <span class="wp-tm-hero-title-highlight text-primary">
            <?php echo esc_html__( get_wp_tm_option( 'wp_tm_hero_title_highlight' ) ); ?>
        </span>
    </h1>

	<?php if ( get_wp_tm_option( 'wp_tm_hero_subtitle' ) ): ?>
        <p class="text-xl font-light opacity-75">
			<?php echo esc_html( get_wp_tm_option( 'wp_tm_hero_subtitle' ) ); ?>
        </p>
	<?php endif; ?>

    <div class="mt-20 -mx-half-gutter">
		<?php if ( $btn_primary_text !== '' ): ?>
            <a class="<?php wp_tm_clsx_echo( $btn_style ); ?>"
               href="<?php echo esc_url( get_wp_tm_option( 'wp_tm_hero_button_primary_url' ) ) ?>">
				<?php echo esc_html( $btn_primary_text ); ?>
            </a>
		<?php endif; ?>
		<?php if ( $btn_secondary_text !== '' ): ?>
            <a class="btn-outline <?php wp_tm_clsx_echo( $btn_style ) ?>"
               href="<?php echo esc_url( get_wp_tm_option( 'wp_tm_hero_button_secondary_url' ) ) ?>">
				<?php echo esc_html( $btn_secondary_text ); ?>
            </a>
		<?php endif; ?>
    </div>
</div>
