<?php
/**
 * Template part for posts loop.
 *
 * @package Temp Mail
 */

$layout = get_wp_tm_sidebar_layout();

$wrap_clsx = array(
	'container mx-auto py-half-gutter lg:flex',
	'lg:flex-row'         => $layout === 'right-sidebar',
	'lg:flex-row-reverse' => $layout === 'left-sidebar',
);
?>

<div class="<?php wp_tm_clsx_echo( $wrap_clsx ); ?>">
    <div id="content" class="flex-grow">
		<?php if ( have_posts() ): ?>
            <div class="flex flex-wrap">
				<?php
				// posts loop
				while ( have_posts() ) {
					the_post();
					get_template_part( 'template-parts/content' );
				}
				?>
            </div>

			<?php
			/**
			 * Hook - wp_tm_action_posts_pagination.
			 */
			do_action( 'wp_tm_action_posts_pagination' );
			?>
		<?php else: ?>
			<?php get_template_part( 'template-parts/content', 'none' ); ?>
		<?php endif; ?>
    </div>

	<?php
	/**
	 * Hook - wp_tm_action_sidebar.
	 *
	 * @hooked wp_tm_add_primary_sidebar   - 10;
	 */
	do_action( 'wp_tm_action_sidebar', $layout );
	?>
</div>
